Page MenuHomePhabricator

Swap around 'Source code' and 'Browse tool' buttons on tool detail page
Closed, ResolvedPublicFeature

Description

Currently there are two main buttons on every tool detail page (example): 'Source code' and 'Browse tool'. It seems like an odd choice to have the 'Source code' as the first button here. People using LTR languages read from left to right and serving 'source code' as the first button instead of 'browse tool' suggests source code is more important than using the tool.

I would suggest at least swapping the buttons around. But i think it would be even better to redesign the 'Source code' button to a small text link instead of a big button.

While working on this issue (and page) anyway: the different parts on this page could really use a bit more margin.

Event Timeline

bd808 triaged this task as Medium priority.Apr 20 2022, 4:46 PM
bd808 changed the subtype of this task from "Task" to "Feature Request".
bd808 moved this task from Backlog to Groomed/Ready on the Toolhub board.
bd808 added a subscriber: bd808.

But i think it would be even better to redesign the 'Source code' button to a small text link instead of a big button.

I think I also agree with this, or at least using the default grey button color if it stays a button.

Slst2020 changed the task status from Open to In Progress.May 4 2022, 8:11 AM
Slst2020 claimed this task.
Slst2020 added a project: User-Slst2020.
Slst2020 moved this task from Groomed/Ready to In Progress on the Toolhub board.
Slst2020 moved this task from To Do to Doing on the User-Slst2020 board.

Change 789103 had a related patch set uploaded (by Slavina Stefanova; author: Slavina Stefanova):

[wikimedia/toolhub@main] ui: Swap Browse Tool and Source Code buttons

https://gerrit.wikimedia.org/r/789103

Slst2020 changed the task status from In Progress to Open.May 4 2022, 9:22 AM
Slst2020 moved this task from Doing to Done on the User-Slst2020 board.
Slst2020 moved this task from In Progress to Review on the Toolhub board.

Change 789103 merged by jenkins-bot:

[wikimedia/toolhub@main] ui: Swap Browse Tool and Source Code buttons

https://gerrit.wikimedia.org/r/789103

Change 792696 had a related patch set uploaded (by BryanDavis; author: Bryan Davis):

[operations/deployment-charts@master] toolhub: Bump container version to 2022-05-17-072641-production

https://gerrit.wikimedia.org/r/792696

Change 792696 merged by jenkins-bot:

[operations/deployment-charts@master] toolhub: Bump container version to 2022-05-17-072641-production

https://gerrit.wikimedia.org/r/792696